| The Gaudi Framework v32r1 (f65d50dc)

Public Attributes | List of all members
ibsfetchctl_t Union Reference

`#include <src/component/perfmon/pfmlib_amd64.h>`

## Public Attributes
uint64_t | val
struct {
uint64_t ibsfetchmaxcnt: 16
uint64_t ibsfetchcnt: 16
uint64_t ibsfetchlat: 16
uint64_t ibsfetchen: 1
uint64_t ibsfetchval: 1
uint64_t ibsfetchcomp: 1
uint64_t ibsicmiss: 1
uint64_t ibsphyaddrvalid: 1
uint64_t ibsl1tlbpgsz: 2
uint64_t ibsl1tlbmiss: 1
uint64_t ibsl2tlbmiss: 1
uint64_t ibsranden: 1
uint64_t reserved: 6
} | reg

## Detailed Description

Definition at line 79 of file pfmlib_amd64.h.

## Member Data Documentation

## ◆ ibsfetchcnt

uint64_t ibsfetchctl_t::ibsfetchcnt

Definition at line 83 of file pfmlib_amd64.h.

## ◆ ibsfetchcomp

uint64_t ibsfetchctl_t::ibsfetchcomp

Definition at line 87 of file pfmlib_amd64.h.

## ◆ ibsfetchen

uint64_t ibsfetchctl_t::ibsfetchen

Definition at line 85 of file pfmlib_amd64.h.

## ◆ ibsfetchlat

uint64_t ibsfetchctl_t::ibsfetchlat

Definition at line 84 of file pfmlib_amd64.h.

## ◆ ibsfetchmaxcnt

uint64_t ibsfetchctl_t::ibsfetchmaxcnt

Definition at line 82 of file pfmlib_amd64.h.

## ◆ ibsfetchval

uint64_t ibsfetchctl_t::ibsfetchval

Definition at line 86 of file pfmlib_amd64.h.

## ◆ ibsicmiss

uint64_t ibsfetchctl_t::ibsicmiss

Definition at line 88 of file pfmlib_amd64.h.

## ◆ ibsl1tlbmiss

uint64_t ibsfetchctl_t::ibsl1tlbmiss

Definition at line 91 of file pfmlib_amd64.h.

## ◆ ibsl1tlbpgsz

uint64_t ibsfetchctl_t::ibsl1tlbpgsz

Definition at line 90 of file pfmlib_amd64.h.

## ◆ ibsl2tlbmiss

uint64_t ibsfetchctl_t::ibsl2tlbmiss

Definition at line 92 of file pfmlib_amd64.h.

## ◆ ibsphyaddrvalid

uint64_t ibsfetchctl_t::ibsphyaddrvalid

Definition at line 89 of file pfmlib_amd64.h.

## ◆ ibsranden

uint64_t ibsfetchctl_t::ibsranden

Definition at line 93 of file pfmlib_amd64.h.

## ◆ reg

struct { ... } ibsfetchctl_t::reg

## ◆ reserved

uint64_t ibsfetchctl_t::reserved

Definition at line 94 of file pfmlib_amd64.h.

## ◆ val

uint64_t ibsfetchctl_t::val

Definition at line 80 of file pfmlib_amd64.h.

The documentation for this union was generated from the following file:

- GaudiProfiling/src/component/perfmon/pfmlib_amd64.h